#!/bin/bash

# 金龙车
go build -o ./exe/kinglong-master.exe ./aarch64/kinglong/master/main/master.go
go build -o ./exe/kinglong-slave.exe ./aarch64/kinglong/slave/main/slave.go
go build -o ./exe/kinglong-control.exe ./aarch64/kinglong/control/main/control.go

# 朴津多功能车
go build -o ./exe/pjisuv-master.exe ./aarch64/pjisuv/master/main/master.go
go build -o ./exe/pjisuv-slave.exe ./aarch64/pjisuv/slave/main/slave.go
go build -o ./exe/pjisuv-control.exe ./aarch64/pjisuv/control/main/control.go


# 朴津机器人
go build -o ./exe/pji-master.exe ./aarch64/pji/master/main/master.go
go build -o ./exe/pji-control.exe ./aarch64/pji/control/main/control.go

# 插件编译接口
go build -o ./exe/plugin-vaildate.exe ./aarch64/plugin-vaildate/main/main.go
go build -o ./exe/plugin-compile.exe ./aarch64/plugin-compile/main/main.go

# 话题echo程序
go build -o ./exe/topic-echo.exe ./aarch64/topic-echo/main/main.go
# oss上传程序
go build -o ./exe/file-upload.exe ./aarch64/file-upload/main/main.go

# 金龙车插件
#go build --buildmode=plugin -o ./so/kinglong/overspeed.so ./trigger/kinglong/cicv_location/overspeed/main/overspeed.go
#go build --buildmode=plugin -o ./so/brake2.so ./trigger/kinglong/data_read/brake/main/brake.go
#go build --buildmode=plugin -o ./so/kinglong/controlfault1.so ./trigger/kinglong/fault_info/controlfault/main/controlfault.go
#go build --buildmode=plugin -o ./so/kinglong/controlfault2.so ./trigger/kinglong/nodefault_info/controlfault/main/controlfault.go
#go build --buildmode=plugin -o ./so/kinglong/driverfault.so ./trigger/kinglong/nodefault_info/driverfault/main/driverfault.go
#go build --buildmode=plugin -o ./so/kinglong/plannerfault.so ./trigger/kinglong/nodefault_info/plannerfault/main/plannerfault.go

#go build --buildmode=plugin -o ./so/kinglong/rapidaccel.so ./trigger/kinglong/cicv_location/rapidaccel/main/rapidaccel.go
#go build --buildmode=plugin -o ./so/kinglong/brake.so ./trigger/kinglong/cicv_location/brake/main/brake.go
#go build --buildmode=plugin -o ./so/kinglong/EmergencyStop.so ./trigger/kinglong/data_read/EmergencyStop/main/EmergencyStop.go
#go build --buildmode=plugin -o ./so/kinglong/AutoDLimit.so ./trigger/kinglong/data_read/AutoDLimit/main/AutoDLimit.go
#go build --buildmode=plugin -o ./so/kinglong/lanechange.so ./trigger/kinglong/data_read/lanechange/main/lanechange.go
#go build --buildmode=plugin -o ./so/kinglong/brakefault.so ./trigger/kinglong/data_read/brakefault/main/brakefault.go
#go build --buildmode=plugin -o ./so/kinglong/takeover.so ./trigger/kinglong/data_read/takeover/main/takeover.go
#go build --buildmode=plugin -o ./so/kinglong/manualTrig.so ./trigger/kinglong/data_read/manualTrig/main/manualTrig.go
#go build --buildmode=plugin -o ./so/kinglong/TTC.so ./trigger/kinglong/tpperception/TTC/main/TTC.go
#
## 朴津机器人插件
#go build --buildmode=plugin -o ./so/pji/cpuoveroccupied.so ./trigger/pji/cpuoveroccupied/main/cpuoveroccupied.go
#go build --buildmode=plugin -o ./so/pji/detectfault.so ./trigger/pji/detectfault/main/detectfault.go
#go build --buildmode=plugin -o ./so/pji/locationfailed.so ./trigger/pji/locationfailed/main/locationfailed.go
#go build --buildmode=plugin -o ./so/pji/memoveroccupied.so ./trigger/pji/memoveroccupied/main/memoveroccupied.go
#go build --buildmode=plugin -o ./so/pji/obstacledetection.so ./trigger/pji/obstacledetection/main/obstacledetection.go
#go build --buildmode=plugin -o ./so/pji/overspeed.so ./trigger/pji/overspeed/main/overspeed.go
#go build --buildmode=plugin -o ./so/pji/unstabledriving.so ./trigger/pji/overspeed/main/overspeed.go