package pjisuv_msgs

import (
	"github.com/bluenviron/goroslib/v2/pkg/msg"
	"github.com/bluenviron/goroslib/v2/pkg/msgs/std_msgs"
)

type Frame struct {
	msg.Package     `ros:"can_msgs"`
	Header          std_msgs.Header `rosname:"header"`
	Id              int16           `rosname:"id"`
	Can103FaultFlag uint32          `rosname:"can103_fault_flag"`
	IsRtr           bool            `rosname:"is_rtr"`
	IsExtended      bool            `rosname:"is_extended"`
	IsError         bool            `rosname:"is_error"`
	Dlc             uint8           `rosname:"dlc"`
	Data            [8]uint8        `rosname:"data"`
}
