package pjisuv_msgs

import "github.com/bluenviron/goroslib/v2/pkg/msg"

type CanFault struct {
	msg.Package            `ros:"canbus_msgs"`
	CanFaultFlag           int16 `rosname:"can_fault_flag"`
	Can103FaultFlag        int16 `rosname:"can103_fault_flag"`
	MmwLidar0Flag          int16 `rosname:"mmw_lidar0_flag"`
	MmwLidar1Flag          int16 `rosname:"mmw_lidar1_flag"`
	MmwLidar3Flag          int16 `rosname:"mmw_lidar3_flag"`
	MmwLidar5Flag          int16 `rosname:"mmw_lidar5_flag"`
	MmwLidar7Flag          int16 `rosname:"mmw_lidar7_flag"`
	Ult5C8Flag             int16 `rosname:"ult_5C8_flag"`
	Ult5C9Flag             int16 `rosname:"ult_5C9_flag"`
	CanBusoffFlag          int16 `rosname:"can_busoff_flag"`
	Can103BusoffFlag       int16 `rosname:"can103_busoff_flag"`
	CanbusModuleLevel1Flag int16 `rosname:"canbus_module_level1_flag"`
	CanbusModuleLevel2Flag int16 `rosname:"canbus_module_level2_flag"`
}
