package pjisuv_msgs

import "github.com/bluenviron/goroslib/v2/pkg/msg"

type ParticipantInfo struct {
	msg.Package `ros:"v2x_msgs"`
	DeviceType  int32
	Lon         float64
	Lat         float64
	Spd         float64
	Distance    float64
	Ttc         float64
}
type TrafficLightInfo struct {
	msg.Package `ros:"v2x_msgs"`
	Color       int32
	RemainTime  int32
	GuideSpdMax float64
	GuideSpdMin float64
	Distance    float64
}
type V2xSignalHmi struct {
	msg.Package  `ros:"v2x_msgs"`
	TimestampSec float64
	Interactive  int32
	EventType    int32
	EventId      int32
}
type V2xSignalPlan struct {
	msg.Package     `ros:"v2x_msgs"`
	SceneType       int32
	Timestamp       float64
	GuideSpeed      float64
	LightInfo       TrafficLightInfo
	ParticipantInfo ParticipantInfo
}
