package main

import (
	"github.com/bluenviron/goroslib/v2/pkg/msgs/diagnostic_msgs"
)

func Topic() string {
	return "/diagnostics"
}

func Label() string {
	return "detectfault"
}

func Rule(data *diagnostic_msgs.DiagnosticArray) string {
	if data.Status[0].Level >= 3 {
		return "detectfault"
	}
	return ""
}
