package config

import (
	"cicv-data-closedloop/common/config/c_log"
	"cicv-data-closedloop/common/util"
	"github.com/bluenviron/goroslib/v2"
	"time"
)

var RosNode *goroslib.Node

func InitRosConfig() {
	var err error
	c_log.GlobalLogger.Info("初始化RosNode - 开始")
	for {
		time.Sleep(time.Duration(2) * time.Second)
		c_log.GlobalLogger.Error("初始化RosNode - 进行中：", err)
		if RosNode, err = goroslib.NewNode(goroslib.NodeConf{
			Name:          "node" + util.GetNowTimeCustom(),
			MasterAddress: CloudConfig.Ros.MasterAddress,
		}); err != nil {
			continue
		}
		c_log.GlobalLogger.Info("初始化RosNode - 成功：", CloudConfig.Ros.MasterAddress)
		break
	}

}
