package entity

type KubernetesSchedulerConfigStruct struct {
	Service     ServiceStruct `yaml:"service"`
	GpuNodeList []GpuNode     `yaml:"gpu-node-list"`
}

type ServiceStruct struct {
	Port         uint64 `yaml:"port"`
	Name         string `yaml:"name"`
	RouterPrefix string `yaml:"router-prefix"`
}

type GpuNode struct {
	Hostname    string `yaml:"hostname"`
	Ip          string `yaml:"ip"`
	Parallelism string `yaml:"parallelism"`
}
