package pjisuv_msgs

import "github.com/bluenviron/goroslib/v2/pkg/msg"

type ErrorcodeInfo struct {
	msg.Package   `ros:"diag_msgs"`
	ErrorCode     int32
	ErrorLevel    int32
	ErrorLevelHmi int32
}

type ErrorcodeVec struct {
	msg.Package `ros:"diag_msgs"`
	ErrorVec    []ErrorcodeInfo
	Interactive int32
}
type FaultHmi struct {
	msg.Package  `ros:"diag_msgs"`
	TimestampSec float64
	EventId      int32
	Interactive  int32
	ErrorCode    int32
	Msg          string
	EventType    int32
}
type FaultHmiVec struct {
	msg.Package `ros:"diag_msgs"`
	HmiVec      []FaultHmi
}

type HeartBeatInfo struct {
	msg.Package `ros:"diag_msgs"`
	ModuleName  string
	Rate        int8
	Timestamp   float64
}
