package pjisuv_msgs

import (
	"github.com/bluenviron/goroslib/v2/pkg/msg"
)

type MissionPoint struct {
	msg.Package `ros:"map_msgs"`
	Xg          float64 `rosname:"xg"`
	Yg          float64 `rosname:"yg"`
	Heading     float64 `rosname:"heading"`
}
type RoutePlan struct {
	msg.Package `ros:"map_msgs"`
	Header      Header       `rosname:"header"`
	Id          int32        `rosname:"id"`
	Result      int32        `rosname:"result"`
	Point       MissionPoint `rosname:"point"`
	GlobalRoad  []string     `rosname:"global_road"`
	Length      float64      `rosname:"length"`
}
