package pjisuv_msgs

import (
	"github.com/bluenviron/goroslib/v2/pkg/msg"
	"github.com/bluenviron/goroslib/v2/pkg/msgs/std_msgs"
)

type SteeringSystem struct {
	msg.Package      `ros:"vehicle_msgs"`
	FrameId          int32 `rosname:"frame_id"`
	LeftLeverStatus  bool  `rosname:"left_lever_status"`
	RightLeverStatus bool  `rosname:"right_lever_status"`
}
type VehicleSystem struct {
	msg.Package          `ros:"vehicle_msgs"`
	Header               std_msgs.Header `rosname:"header"`
	steering_system_info SteeringSystem  `rosname:"steering_system_info"`
}
